View Issue Details

IDProjectCategoryView StatusLast Update
0000222Application Manager[All Projects] Feature Requestpublic2016-08-14 00:04
Reporterjason 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Projectionnone 
PlatformDesktopOSWindows 7 x64OS Version6.1.7601
Product VersionAlpha 0.1Product BuildAlpha 
Target VersionAlpha 0.2Fixed in VersionAlpha 0.2 
Summary0000222: SCMS and Application intergration with MDT
DescriptionWould like to see an integration into MDT:
Install SCMS and Application Manager
Option to launch on first start up - install apps

 
TagsNo tags attached.
StageComplete

Relationships

related to 0000180 resolvedJon Application Manager [ALPHA-Bug] When application closed the desktop notifier remains open 
related to 0000236 acknowledgedJon Application Manager Re-design the Desktop notification Interface to be more professional looking 
related to 0000239 closedJon LogonGUI Intergrate LogonGUI <-> Application Manager 

Activities

Jon

2015-06-17 12:47

manager   ~0000634

Installation by Mdt is easy and is supported already. As the installer is an msi, use the /qb switch and reboot after install to start service. The current scms installer has not got app manager within it and another installer is yet to be built. Integrating the app manager into mdt will be easy enough to implement

Jon

2015-06-18 19:16

manager   ~0000644

commenced working on solution for MDT.

Jon

2015-06-18 20:48

manager   ~0000645

Added the ability to launch the Managed Application Installer from the command line. This will enable system administrators to add the installation of applications during system boot, logon (if user apart of system administrators) or as an MDT task sequence.

This feature has no GUI as it has been designed to be launched and forgotten, there is logging available as part of the install process and the application does use exit codes to notify if launched via a script.

Changes contained in SCMS Client Commit: 276 (fcea9936168e) Feature: 0000222 Added ability to launch installer from command line.

TODO:
  - Documentation
  - Release as SCMS Update
  - Release new .MSI Installer to BETA testers.

Jon

2015-06-19 10:56

manager   ~0000646

Documentation available at http://nofusscomputing.com/wiki/public/projects/application_manager/administration_documentation/launch_managed_application_installer

Jon

2015-06-19 16:46

manager   ~0000650

An Installer has been built to support this ticket, please logon, purchase and download ($0.00 - it's Free) from https://nofusscomputing.com/product/beta-release-scms-plugin-manager/, you will have to logon to view this product.

This ticket will require feedback from you after the new feature(s) have been assessed by you.

jason

2015-06-19 21:45

reporter   ~0000651

Am I able to test this on a VM?

Does each NEW computer need to be (registered) to run the SCMS? Or does installing the SCMS cause the computer to become (registered)

administrator

2015-06-20 09:14

administrator   ~0000655

Yes you can install on VM, the SCMS does not require registration and all new installations automatically become public users. As you are part of the BETA testers group you would be required to notify of the PCID upon installation of SCMS on a new machine, this would allow that PC to be joined to group. Be warned though, if you remove the VPC from the console or change any hardware/IDs your PCID will change and no longer be part of the BETA group.

Jon

2015-06-26 21:05

manager   ~0000731

Ticket 0000180 added as interface is going to be redesigned which will also be used for administrative installer.

Jon

2015-06-28 01:40

manager   ~0000765

Client commit 345 (03229e3882f4) Feature: 0000222 Added GUI to command line switches.

jason

2015-06-28 19:36

reporter   ~0000782

Unable to run SCMS Application Manager as administrator.
Commandline does not install a4ef.msi

Jon

2015-06-29 19:50

manager   ~0000789

Reply to: 0000222:0000782
Line one: this has been logged under a separate ticket please see 0000247

Line two: operator error (As you discovered) use
msiexec /i "%~dp0a4ef.msi" /passive
in batch files, to call a path use "%~dp0" not hard coded path as you see it.

Jon

2015-06-29 19:52

manager   ~0000790

This ticket is considered resolved as you have been able to do a silent install and this has also been successful elsewhere.

Issue History

Date Modified Username Field Change
2015-06-17 12:00 jason New Issue
2015-06-17 12:47 Jon Note Added: 0000634
2015-06-17 12:47 Jon Status new => acknowledged
2015-06-17 12:47 Jon Target Version => Alpha 0.1
2015-06-18 19:16 Jon Note Added: 0000644
2015-06-18 19:16 Jon Status acknowledged => assigned
2015-06-18 20:48 Jon Note Added: 0000645
2015-06-19 10:56 Jon Note Added: 0000646
2015-06-19 16:46 Jon Note Added: 0000650
2015-06-19 16:46 Jon Status assigned => feedback
2015-06-19 21:45 jason Note Added: 0000651
2015-06-19 21:45 jason Status feedback => new
2015-06-20 09:14 administrator Note Added: 0000655
2015-06-20 09:14 administrator Status new => feedback
2015-06-26 21:04 Jon Relationship added related to 0000180
2015-06-26 21:05 Jon Note Added: 0000731
2015-06-26 21:17 Jon Target Version Alpha 0.1 => Alpha 0.2
2015-06-26 21:51 Jon Build => Alpha
2015-06-27 21:40 Jon Relationship added related to 0000236
2015-06-28 00:53 Jon Relationship added related to 0000239
2015-06-28 01:40 Jon Note Added: 0000765
2015-06-28 19:36 jason Note Added: 0000782
2015-06-28 19:36 jason Status feedback => new
2015-06-29 19:50 Jon Note Added: 0000789
2015-06-29 19:52 Jon Note Added: 0000790
2015-06-29 19:52 Jon Status new => resolved
2015-06-29 19:52 Jon Fixed in Version => Alpha 0.2
2015-06-29 19:52 Jon Resolution open => fixed
2016-08-13 23:58 administrator Stage => Unknown
2016-08-14 00:04 Jon Stage Unknown => Complete